### Method

# Ide Workspace get_overlay

#### Declaration

    GtkOverlay*
    ide_workspace_get_overlay (
      IdeWorkspace* self
    )

#### Description

Gets a `GtkOverlay` that contains all of the primary contents of the window (everything except the headerbar). This can be used by plugins to draw above the workspace contents.

Available since: | 3.32

#### Return value

Returns: | `GtkOverlay`
| A `GtkOverlay`.
| The data is owned by the instance.